/api/v4/locations-by-idsIDで拠点を取得
指定した一連の拠点IDに対応する拠点の全情報を1回のリクエストで返します。
パラメーター
クエリ
| 名前 | 型 | 必須 | 説明 | デフォルト |
|---|---|---|---|---|
| ids | string | 必須 | JSON-encoded array of base64 location IDs, e.g. `["TG9jYXRpb246MTgwMDI4OQ=="]`. URL-encode the value. | — |
レスポンス
200Array of full location objects, one per resolved ID. Unknown IDs are omitted.
{ "data": { "getLocationsByIds": [ { "id": "TG9jYXRpb246MTgwMDI4OQ==", "databaseId": 1800289, "accountId": 12345, "storeId": null, "name": "Jenny Home", "archived": false, "archivedAt": null, "street": "600 Congress Ave, Suite 200", "city": "Austin", "stateIso": "TX", "postalCode": "78701", "countryIso": "US", "countryCode": "1", "latitude": "30.2711286", "longitude": "-97.7436995", "phone": "5125550142", "additionalPhones": [], "bizUrl": null, "hideAddress": false, "categoryId": 15, "subCategoryId": 1432, "subCategoryName": "Restaurants", "additionalCategoryIds": [], "description": "This is a standalone duplex house. A comfortable, private residence located in the Bouldin Creek neighborhood of Austin, offering spacious duplex living with easy access to the surrounding South Congress area and downtown Austin.", "contentPreferredLanguage": "ENGLISH", "businessHours": [], "moreHours": [], "package": "PREMIUM", "planId": 3797, "planName": "Launch", "temporarilyClosed": false, "ownerName": null, "ownerEmail": null, "paymentMethods": [], "locationPhotos": [], "isRestaurant": true, "voiceStatus": 3, "yearOfIncorporation": null, "placeActionLinks": [ { "placeActionType": "FOOD_ORDERING", "uri": "https://order.example.com", "isPreferred": true, "name": "locations/1944.../placeActionLinks/54ada85bc246058a", "submissionStatus": "success", "submissionMessage": "Already up to date on Google.", "lastSubmittedAt": "2026-07-08T12:14:36Z" } ], "discoveredPlaceActionLinks": [ { "placeActionType": "APPOINTMENT", "uri": "https://book.example.com", "isPreferred": false, "name": "locations/1944.../placeActionLinks/abc123", "providerType": "MERCHANT", "isEditable": true } ] } ] }}401Unauthenticated, missing or invalid API key.
429Rate limit exceeded. Retry after the `Retry-After` header value.
指定した一連のIDに対応する拠点の全詳細情報を1回のリクエストで取得でき、拠点ごとにGETを1回実行するよりもコストを大幅に抑えられます。有効な拠点もアーカイブ済みの拠点も取得できます。IDをJSON形式の配列にエンコードし、さらにURLエンコードして、idsクエリパラメーターに渡してください。
ユースケース:Webhookやジョブから受け取った複数のIDに対応する詳細情報を取得します。 拠点IDのリストを受け取ったら(自社のデータストア、Webhookのペイロード、ページ分割された拠点一覧の全件取得などから)、?ids=["TG9jYXRpb246MTgwMDI4OQ==","TG9jYXRpb246MTgwMDI5MA=="]でまとめて詳細情報を取得します。アカウント内に存在しないIDは、エラーを発生させずに配列から除外されるため、返された件数とリクエストした件数を比較して、古くなったIDを検出してください。
注意点:クエリキーはidsです。 このエンドポイントは、idsパラメーターからJSON配列を読み取ります。多数のIDを1回の呼び出しにまとめると、個別の検索を繰り返す場合と比べて、レート制限に対して十分な余裕を確保できます。個別の検索を並列で実行する場合は、429が返された際にRetry-Afterヘッダーに従ってください。
各拠点について、placeActionLinks(Listings APIが管理するGoogleのアクションリンク)とdiscoveredPlaceActionLinks(ビジネスのGoogleプロフィール上で直接見つかった、まだ管理されていないリンク)が返されます。プレイスアクションリンクのガイドを参照してください。
curl -X GET 'https://listingsapi.com/api/v4/locations-by-ids?ids=<ids>' \ -H "Authorization: API $LISTINGSAPI_KEY"